Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.converter
Class PrioritizableConverter

    java.lang.Object
      org.jboss.seam.ui.converter.PrioritizableConverter

All Implemented Interfaces:
  Comparable<PrioritizableConverter>, javax.faces.component.StateHolder, javax.faces.convert.Converter

    public class PrioritizableConverter

extends Object
implements javax.faces.convert.Converter, Comparable<PrioritizableConverter>, javax.faces.component.StateHolder

Helper class for ConverterChain

Constructor Summary
`PrioritizableConverter()`
`PrioritizableConverter(javax.faces.convert.Converter delegate, int priority)`
`PrioritizableConverter(javax.el.ValueExpression vb, int priority)`

Method Summary
`int` | `compareTo(PrioritizableConverter o)`
`Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`
`String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`
`javax.faces.convert.Converter` | `getDelegate()`
`int` | `getPriority()`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setTransient(boolean newTransientValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrioritizableConverter

    public PrioritizableConverter()

### PrioritizableConverter

    public PrioritizableConverter(javax.el.ValueExpression vb,
                                  int priority)

### PrioritizableConverter

    public PrioritizableConverter(javax.faces.convert.Converter delegate,
                                  int priority)

Method Detail

### getDelegate

    public javax.faces.convert.Converter getDelegate()

### getPriority

    public int getPriority()

### getAsObject

    public Object getAsObject(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              String value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public String getAsString(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              Object value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### compareTo

    public int compareTo(PrioritizableConverter o)

  Specified by:
    `compareTo` in interface `Comparable<PrioritizableConverter>`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.